# Class FormModalUiHandler`Abstract`

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (view full)

- ModalUiHandler
  - FormModalUiHandler
    - default
    - default

- Defined in src/ui/form-modal-ui-handler.ts:15

#####
Index

### Constructors

constructor

### Properties

active
buttonBgs
buttonContainers
cursor
editing
errorMessage
inputContainers
inputs
modalBg
modalContainer
mode
scene
submitAction
titleText

### Methods

clear
getButtonLabels
getButtonTopMargin
getCursor
getFields
getHeight
getMargin
getModalTitle
getReadableErrorMessage
getTextColor
getUi
getWidth
processInput
sanitizeInputs
setCursor
setup
show
updateContainer

## Constructors

### constructor

- new FormModalUiHandler(scene, mode?): FormModalUiHandler

- #### Parameters

  - scene: default
  - `Optional` mode: Mode

  #### Returns FormModalUiHandler

  Overrides ModalUiHandler.constructor

  - Defined in src/ui/form-modal-ui-handler.ts:22

## Properties

### active

active: boolean = false

Inherited from ModalUiHandler.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` buttonBgs

buttonBgs: NineSlice[]

Inherited from ModalUiHandler.buttonBgs

- Defined in src/ui/modal-ui-handler.ts:17

### `Protected` buttonContainers

buttonContainers: Container[]

Inherited from ModalUiHandler.buttonContainers

- Defined in src/ui/modal-ui-handler.ts:16

### `Protected` cursor

cursor: number = 0

Inherited from ModalUiHandler.cursor

- Defined in src/ui/ui-handler.ts:12

### `Protected` editing

editing: boolean

- Defined in src/ui/form-modal-ui-handler.ts:16

### `Protected` errorMessage

errorMessage: Text

- Defined in src/ui/form-modal-ui-handler.ts:19

### `Protected` inputContainers

inputContainers: Container[]

- Defined in src/ui/form-modal-ui-handler.ts:17

### `Protected` inputs

inputs: InputText[]

- Defined in src/ui/form-modal-ui-handler.ts:18

### `Protected` modalBg

modalBg: NineSlice

Inherited from ModalUiHandler.modalBg

- Defined in src/ui/modal-ui-handler.ts:14

### `Protected` modalContainer

modalContainer: Container

Inherited from ModalUiHandler.modalContainer

- Defined in src/ui/modal-ui-handler.ts:13

### `Protected` mode

mode: number

Inherited from ModalUiHandler.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` scene

scene: default

Inherited from ModalUiHandler.scene

- Defined in src/ui/ui-handler.ts:10

### `Protected` submitAction

submitAction: Function

- Defined in src/ui/form-modal-ui-handler.ts:20

### `Protected` titleText

titleText: Text

Inherited from ModalUiHandler.titleText

- Defined in src/ui/modal-ui-handler.ts:15

## Methods

### clear

- clear(): void

- #### Returns void

  Overrides ModalUiHandler.clear

  - Defined in src/ui/form-modal-ui-handler.ts:138

### `Abstract` getButtonLabels

- getButtonLabels(config?): string[]

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns string[]

  Inherited from ModalUiHandler.getButtonLabels

  - Defined in src/ui/modal-ui-handler.ts:34

### getButtonTopMargin

- getButtonTopMargin(): number

- #### Returns number

  Inherited from ModalUiHandler.getButtonTopMargin

  - Defined in src/ui/modal-ui-handler.ts:36

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from ModalUiHandler.getCursor

  - Defined in src/ui/ui-handler.ts:42

### `Abstract` getFields

- getFields(): string[]

- #### Returns string[]

  - Defined in src/ui/form-modal-ui-handler.ts:30

### getHeight

- getHeight(config?): number

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns number

  Overrides ModalUiHandler.getHeight

  - Defined in src/ui/form-modal-ui-handler.ts:32

### `Abstract` getMargin

- getMargin(config?): [number, number, number, number]

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns [number, number, number, number]

  Inherited from ModalUiHandler.getMargin

  - Defined in src/ui/modal-ui-handler.ts:32

### `Abstract` getModalTitle

- getModalTitle(config?): string

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns string

  Inherited from ModalUiHandler.getModalTitle

  - Defined in src/ui/modal-ui-handler.ts:26

### getReadableErrorMessage

- getReadableErrorMessage(error): string

- #### Parameters

  - error: string

  #### Returns string

  - Defined in src/ui/form-modal-ui-handler.ts:36

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from ModalUiHandler.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from ModalUiHandler.getUi

  - Defined in src/ui/ui-handler.ts:34

### `Abstract` getWidth

- getWidth(config?): number

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns number

  Inherited from ModalUiHandler.getWidth

  - Defined in src/ui/modal-ui-handler.ts:28

### processInput

- processInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Overrides ModalUiHandler.processInput

  - Defined in src/ui/form-modal-ui-handler.ts:116

### sanitizeInputs

- sanitizeInputs(): void

- #### Returns void

  - Defined in src/ui/form-modal-ui-handler.ts:125

### setCursor

- setCursor(cursor): boolean

- #### Parameters

  - cursor: number

  #### Returns boolean

  Inherited from ModalUiHandler.setCursor

  - Defined in src/ui/ui-handler.ts:46

### setup

- setup(): void

- #### Returns void

  Overrides ModalUiHandler.setup

  - Defined in src/ui/form-modal-ui-handler.ts:44

### show

- show(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides ModalUiHandler.show

  - Defined in src/ui/form-modal-ui-handler.ts:80

### updateContainer

- updateContainer(config?): void

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns void

  Overrides ModalUiHandler.updateContainer

  - Defined in src/ui/form-modal-ui-handler.ts:131